﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Performance.DtoModels
{
    public class PerHeader
    {
        /// <summary>
        /// 唯一标准
        /// </summary>
        public string SignID { get; set; }
        public int PointRow { get; set; }
        public int PointCell { get; set; }
        public bool IsMerge => MergeRow > 1 || MergeCell > 1;
        public int MergeRow { get; set; }
        public int MergeCell { get; set; }
        public string CellName { get; set; }

        public int Level { get; set; }
        public bool IsHasChildren => Children != null && Children.Any();
        public List<PerHeader> Children { get; set; }
        public PerHeader Parent { get; set; }
    }
}
